GET api/departmentapi/department/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"contract_id": "4a84a668-cb3f-4d2d-8178-0effd52dcee2",
"delay_between_scans": 1,
"id": "c0b19c37-492f-49ba-b9ca-df5aad88fb38",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "719b60aa-025c-492c-b764-74cd5c239c11",
"selected_sticker_id": "22863b6d-c133-41e3-a4d7-07be17a4f4c5"
}
application/xml, text/xml
Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <contract_id>4a84a668-cb3f-4d2d-8178-0effd52dcee2</contract_id> <delay_between_scans>1</delay_between_scans> <id>c0b19c37-492f-49ba-b9ca-df5aad88fb38</id> <item_wash_max>1</item_wash_max> <name>sample string 5</name> <remark>sample string 6</remark> <selected_nameplate_id>719b60aa-025c-492c-b764-74cd5c239c11</selected_nameplate_id> <selected_sticker_id>22863b6d-c133-41e3-a4d7-07be17a4f4c5</selected_sticker_id> </department>